function [dat]=check1(dat,rangeA,exclude)
% dat = check1(dat)
% check the raw ingested data from ionvantage:
% 1. amplitude range
% 2. manual excludes (e.g. first costech std), poor chromatography,
% bad sample drop, other *known* reasons

% rangeA: include
i=find(dat.raw(:,4)<=rangeA(1) | dat.raw(:,4)>=rangeA(2))';

% excludes:
if ~isempty(exclude),
    for j=1:length(exclude)
        k(j)=find(dat.raw(:,1)==exclude(j));
    end
elseif isempty(exclude),
    k=[];
end
dat.exclude=unique(union(i,k));
dat.include=setdiff(dat.raw(:,1)',dat.exclude);
disp(['Excluding from further analysis: samples ' num2str(dat.exclude)])
disp([dat.txt(dat.exclude,2)]) 
disp('Seq No.    RT         A            c13            o18  ')
disp(num2str(dat.raw(dat.exclude,[1 3 4 6 7])))

disp(['Including for  further analysis: samples ' num2str(dat.include)])
disp([dat.txt(dat.include,2)]) 
disp('Seq No.    RT         A            c13            o18  ')
disp(num2str(dat.raw(dat.include,[1 3 4 6 7])))

% set the inputs for following analysis:
dat.numc=dat.raw(dat.include,:);
dat.txtc=dat.txt(dat.include,:);
dat.nrc=size(dat.numc,1);

return