function [dat]=diagplot1(dat,std1,std2)
% [dat]=diagplot1(dat,std1,std2)
% created by KJS
% created on 01/13/2014
% This function will be a part of the modular code to create diagnostic
%   plots of the standard nodes, spline correction, amplitude correction, 
%   and raw and corrected data.

% plot to see if spline is fitting nodes 
figure(3);
subplot(441);
plot(dat.pos1,dat.cris(dat.pos1,1), 'bo')
%lab=sprintf('standard %d isotope %d',j,i);
%title(lab);
title([std1 ' carbon']);
hold on;
plot(dat.splfx1);
hold off; 

subplot(442);
plot(dat.pos2,dat.cris(dat.pos2,1), 'bo')
title([std2 ' carbon']);
hold on;
plot(dat.splfx3);
hold off; 

subplot(443);
plot(dat.pos1,dat.cris(dat.pos1,2), 'bo')
title([std1 ' oxygen']);
hold on;
plot(dat.splfx2);
hold off; 

subplot(444);
plot(dat.pos2,dat.cris(dat.pos2,2), 'bo')
title([std2 ' oxygen']);
hold on;
plot(dat.splfx4);
hold off; 


% plot isotopic value vs. ln of amplitude
% if amplitude correction significant, indicate it with a * in the title
subplot(445);
plot(log(dat.amp(dat.pos1,1)), dat.cria(dat.pos1,1),'o',log(dat.amp(dat.pos1,1)),dat.b13_1(2,:).*log(dat.amp(dat.pos1,1))+dat.b13_1(1,:),'r');
if dat.b13_1stats(3)<=0.1,
    title([std1 ' C13 v. ln(A) *']);
else 
    title([std1 ' C13 v. ln(A)']);
end

subplot(446);
plot(log(dat.amp(dat.pos2,1)), dat.cria(dat.pos2,3),'o',log(dat.amp(dat.pos2,1)),dat.b13_2(2,:).*log(dat.amp(dat.pos2,1))+dat.b13_2(1,:),'r');
if dat.b13_2stats(3)<=0.1,
    title([std2 ' C13 v. ln(A) *']);
else 
    title([std2 ' C13 v. ln(A)']);
end

subplot(447);
plot(log(dat.amp(dat.pos1,1)), dat.cria(dat.pos1,2),'o',log(dat.amp(dat.pos1,1)),dat.b18_1(2,:).*log(dat.amp(dat.pos1,1))+dat.b18_1(1,:),'r');
if dat.b18_1stats(3)<=0.1,
    title([std1 ' O18 v. ln(A) *']);
else 
    title([std1 ' O18 v. ln(A)']);
end

subplot(448);
plot(log(dat.amp(dat.pos2,1)), dat.cria(dat.pos2,4),'o',log(dat.amp(dat.pos2,1)),dat.b18_2(2,:).*log(dat.amp(dat.pos2,1))+dat.b18_2(1,:),'r');
if dat.b18_2stats(3)<=0.1,
    title([std2 ' O18 v. ln(A) *']);
else 
    title([std2 ' O18 v. ln(A)']);
end


% plot raw and corrected carbon and oxygen data
subplot(413);
plot(dat.numc(:,1),dat.numc(:,6)-mean(dat.numc(dat.pos1,6))+dat.std1c,'b+',dat.numc(:,1),dat.crf(:,1),'go');
title('Raw and corrected C13 data');

subplot(414);
plot(dat.numc(:,1),dat.numc(:,7)-mean(dat.numc(dat.pos1,7))+dat.std1o,'b+',dat.numc(:,1),dat.crf(:,2),'go');
title('Raw and corrected O18 data');
legend('Raw', 'Corrected', 'Location', [0.5 0.02 0.04 0.04], 'Orientation', 'horizontal') % [x y width height]

pname1=[dat.fn '_plot.pdf'];
print('-dpdf','-r300',[pname1])

end