function [dat]=ivread1(fn,analyte)
% [dat]=ivread1(fn,analyte)
% import the ionvantage data to matlab
% fn=filename[.xls]
% sn=sheetname ['F1CO2-Report'] determined by species1 

if nargin~=2,
    error('wrong number of arguments')
end

% get the sheetname and analyte
[dat.analyte, dat.sn]=species1(analyte);

% assign variables to output structure variable dat:
dat.fn=fn;

% also get the path to the datafile:
dat.pwd=pwd;

% import the data using xslread
% this requires a Windows installation of matlab
[dat.num, dat.txt, dat.raw] = xlsread([dat.pwd '\' dat.fn '.xls'],[dat.sn],'a15:j500');

% allow for possibility that sample doesn't run, multiple small peaks detected
% (check if general)
% we need to detect dat.txt column headers, then choose the columns
% associated with:
% dat.txt: 
% col 2: sampleID
% col 3: datestamp
dat.sampleID=dat.txt(:,2);
dat.datestamp=dat.txt(:,3);

% dat.num from multiflow output: 
% col 1: SampleNumber (from Ionvantage sequence table number)
% col 4: RT
% col 5: A
% col 7: mass
% col 9: c13
% col 10: o18

% dat.num from multiflow or costech output: 
% col 1: SampleNumber (from Ionvantage sequence table number)
% col 4: RT
% col 5: A
% col 7: mass
% col 9: c13
% col 10: o18

[ns ncol]=size(dat.num);
% create working matrix of data, adding a sequence column:
dat.raw=NaN(ns,7);
dat.raw=[(1:ns)' dat.num(:,[1 4 5 7 9:10])];
dat.nr=size(dat.raw,1);
dat.metainfo=dat.txt(:,2:3);




return

