% mkdctabs_new3.m
% generate the datacorr13 paper tables
% using mkval1.m
% 10/2/14 MNE
% rev 10/10/15 MNE
% rev 2/2/16 MNE to include 1/28/16 validation experiment (carbonates)
% rev 3/23/16 to look at sequential precisions: raw, spline, ampl.
% rev 07/21/17 make a self-contained set of files for testing and
% illustration for distributing to others
% based on mkdctabs_new2.m that made the output for Evans et al (2016).
% this runs fanalyze_modular2 from scratch to generate the inputs to make
% tables 1,2.

clear;clf;close
% first the carbonates
[dat]=fanalyze_modular2('01282016_REP-ASL_validation','CO2',[2 16],[],'IAEA','LSVEC',[2])
%load 01282016_REP-ASL_validation_corr.mat
% close the figure windows that come up
close all;

[dat]=mkval1('01282016_REP-ASL_validation_corr.mat')

format bank

% this is tricky because of the different organization of 
% dat.val_* = c13 o18 c13s o18s 
% and 
% dat.stddat_* = c13 c13s o18 o18s

% concatenate results for carbonates:

%iaea: (id=6)
j6=find(dat.valdat(:,1)==6);
dat.valdat_iaea=dat.valdat(j6,2:3);
%j2=find(dat2.valdat(:,1)==6);
%dat2.valdat_iaea=dat2.valdat(j2,2:3);
%dat.valdat_iaea=[dat1.valdat_iaea]%;dat2.valdat_iaea];

% lsvec: (id=2)
j2=find(dat.valdat(:,1)==2);
dat.valdat_lsvec=dat.valdat(j2,2:3);
%j2=find(dat2.valdat(:,1)==2);
%dat2.valdat_lsvec=dat2.valdat(j2,2:3);
%dat.valdat_lsvec=[dat1.valdat_lsvec];%dat2.valdat_lsvec];

% jtb: (id=3)
j3=find(dat.valdat(:,1)==3);
dat.valdat_jtb=dat.valdat(j3,2:3);
%j2=find(dat2.valdat(:,1)==3);
%dat2.valdat_jtb=dat2.valdat(j2,2:3);
%dat.valdat_jtb=[dat1.valdat_jtb];%dat2.valdat_jtb];

% mcc: (id=4)
j4=find(dat.valdat(:,1)==4);
dat.valdat_mcc=dat.valdat(j4,2:3);
%j2=find(dat2.valdat(:,1)==5);
%dat2.valdat_eacarb=dat2.valdat(j2,2:3);
%dat.valdat_mcc=[dat1.valdat_mcc];%dat2.valdat_eacarb];

% compile table

iaea=[mean(dat.valdat_iaea(:,1)) std(dat.valdat_iaea(:,1)) dat.stddat_CO2(6,1)-mean(dat.valdat_iaea(:,1)) mean(dat.valdat_iaea(:,2)) std(dat.valdat_iaea(:,2)) dat.stddat_CO2(6,3)-mean(dat.valdat_iaea(:,2))];

lsvec=[mean(dat.valdat_lsvec(:,1)) std(dat.valdat_lsvec(:,1)) dat.stddat_CO2(2,1)-mean(dat.valdat_lsvec(:,1)) mean(dat.valdat_lsvec(:,2)) std(dat.valdat_lsvec(:,2)) dat.stddat_CO2(2,3)-mean(dat.valdat_lsvec(:,2))];

jtb=[mean(dat.valdat_jtb(:,1)) std(dat.valdat_jtb(:,1)) dat.stddat_CO2(3,1)-mean(dat.valdat_jtb(:,1)) mean(dat.valdat_jtb(:,2)) std(dat.valdat_jtb(:,2)) dat.stddat_CO2(3,3)-mean(dat.valdat_jtb(:,2))];

mcc=[mean(dat.valdat_mcc(:,1)) std(dat.valdat_mcc(:,1)) dat.stddat_CO2(5,1)-mean(dat.valdat_mcc(:,1)) mean(dat.valdat_mcc(:,2)) std(dat.valdat_mcc(:,2)) dat.stddat_CO2(5,3)-mean(dat.valdat_mcc(:,2))];


% comparison of combined, 2012, 2013, 2016 results:

% iaea([1 4 2 5])        2.45         -2.41          0.12          0.18
% dat1.val_iaea          2.43         -2.37          0.08          0.21
% dat2.val_iaea          2.46         -2.44          0.16          0.15


% lsvec([ 1 4 2 5])    -46.51        -26.73          0.24          0.16
% dat1.val_lsvec       -46.65        -26.76          0.09          0.12
% dat2.val_lsvec       -46.37        -26.71          0.26          0.20

% jtb([1 4 2 5])         1.60         -8.66          0.30          0.15
% dat1.val_jtb           1.69         -8.67          0.04          0.08
% dat2.val_jtb           1.51         -8.65          0.42          0.20

% mcc([1 4 2 5])    -35.88        -21.69          0.06          0.17
% dat1.val_mcc      -35.92        -21.66          0.09          0.14

% iaea        2.48    0.04    0.01    -2.42     0.10     0.02
% jtb         1.68    0.04    0.10    -8.65     0.07    -0.06
% lsvec     -46.67    0.13    0.07    -26.73    0.08     0.03
% mcc       -36.00    0.05   -0.10    -21.92    0.04     0.12

t1=[iaea;
    jtb;
    lsvec;
    mcc]

% stopped here 11/10/15 - have to check that fliers are not b/c of low/high
% amplitudes? or other external QC factors?  No.
%
% have to check run QC - are these the definitive runs?  Yes.

% are the calibration and validation means different from one another?
% t tests of differences between calibration and validation datasets:
j=find(dat.valdat(:,1)==6); % iaea
% c13:
[h,p_iaea(1),ci,tstats_iaea_c13]=ttest2(dat.valdat(j,2),dat.crf(dat.pos1,1))
% h=0, p=0.50, df=17, t=-0.68
% o18:
[h,p_iaea(2),ci,tstats_iaea_o18]=ttest2(dat.valdat(j,3),dat.crf(dat.pos1,2))
% h=0, p=0.72, df=17, t=-0.36

j=find(dat.valdat(:,1)==2); % lsvec
% c13:
[h,p_lsvec(1),ci,tstats_lsvec_c13]=ttest2(dat.valdat(j,2),dat.crf(dat.pos2,1))
% h=0, p=0.24, df=18, t=-1.21
% o18:
[h,p_lsvec(2),ci,tstats_lsvec_o18]=ttest2(dat.valdat(j,3),dat.crf(dat.pos2,2))
% h=0, p=0.44, df=18, t=-0.78

% are the other validation means different from one another?

% z tests of differences between validation datasets and known values
j=find(dat.valdat(:,1)==3); % jtb
% c13:
[h,p_jtb(1),ci,z_jtb_c13] = ztest(dat.valdat(j,2),dat.stddat_CO2(3,1),nanstd(dat.valdat(j,2)))
% h=1, z=-7.31, df=9, p<<0.01

%o18:
[h,p_jtb(2),ci,z_jtb_o18] = ztest(dat.valdat(j,3),dat.stddat_CO2(3,3),nanstd(dat.valdat(j,3)))
% h=1, z=2.56, df=9, p=0.01

j=find(dat.valdat(:,1)==4); % mcc
% c13:
[h,p_mcc(1),ci,z_mcc_c13] = ztest(dat.valdat(j,2),dat.stddat_CO2(5,1),nanstd(dat.valdat(j,2)))
% h=1, z=6.58, df=9, p<<0.01

%o18:
[h,p_mcc(2),ci,z_mcc_o18] = ztest(dat.valdat(j,3),dat.stddat_CO2(5,3),nanstd(dat.valdat(j,3)))
% h=1, z=-10.49, df=9, p=0.05

% using standard error of the mean of the 'known' validation number:
% c13:
se_mcc(1)=sqrt(dat.stddat_CO2(5,2)^2/20 + nanstd(dat.valdat(j,2))^2/10);
% SE = sqrt[ (s1^2/n1) + (s2^2/n2) ]
t_mcc(1)=(dat.stddat_CO2(5,1)-nanmean(dat.valdat(j,2)))/se_mcc(1);
% t_mcc(1) = -4.24 p~<0.01

% o18:
se_mcc(2)=sqrt(dat.stddat_CO2(5,4)^2/20 + nanstd(dat.valdat(j,3))^2/10);
% SE = sqrt[ (s1^2/n1) + (s2^2/n2) ]
t_mcc(2)=(dat.stddat_CO2(5,3)-nanmean(dat.valdat(j,3)))/se_mcc(2);
% t_mcc(2) = 4.84 p~<0.01
% I think the calibrated errors are the same smallness as the tested values
% - so will give similar results for significance of biases.

% entries of t1 to be starred in row 1 (bias for iaea):  neither
% entries of t1 to be starred in row 2 (bias for lsvec):  o18
% entries of t1 to be starred in row 3 (bias for jtb):  both
% entries of t1 to be starred in row 4 (bias for mcc):  both 


% sequential precisions table (as in getvaldat_carb.m):
% tables of results
 % carbon std1 by std2, std2 by std1
t3v_carb=[std(dat.numc(dat.pos2,6)) std(dat.numc(dat.pos1,6)); % raw
  std(dat.splc(dat.pos2,1)) std(dat.splc(dat.pos1,3)); % spline
  std(dat.ampc(dat.pos2,1)) std(dat.ampc(dat.pos1,3)); % ampl
  std(dat.tpc(dat.pos2,1)) std(dat.tpc(dat.pos1,3))]; % tpc

 % oxygen std1 by std2, std2 by std1
t4v_carb=[std(dat.numc(dat.pos2,7)) std(dat.numc(dat.pos1,7)); % raw
  std(dat.splc(dat.pos2,2)) std(dat.splc(dat.pos1,4)); % spline
  std(dat.ampc(dat.pos2,2)) std(dat.ampc(dat.pos1,4)); % ampl
  std(dat.tpc(dat.pos2,2)) std(dat.tpc(dat.pos1,4))]; % tpc
     
%t3v_carb =
%
%    0.2241    0.1584
%    0.1395    0.0681
%    0.1402    0.0681
%    0.1447    0.0703

%t4v_carb =
%
%    0.1037    0.1893
%    0.1387    0.1251
%    0.1387    0.1251
%    0.1401    0.1262

% averaged over the two cross-validated estimates:
t3v_carb_mean=sqrt(mean(t3v_carb.^2,2));
t4v_carb_mean=sqrt(mean(t4v_carb.^2,2));

t3vs_carb=[t3v_carb_mean t4v_carb_mean];

% also need results with validation data:

% raw
src=sqrt(mean([var(dat.numc(j6,6)) var(dat.numc(j2,6)) var(dat.numc(j3,6)) var(dat.numc(j4,6))]));
% alt calculation: 
src=median([sqrt(mean(var(dat.numc(j6,6)))) ...
    sqrt(mean(var(dat.numc(j2,6)))) ...
    sqrt(mean(var(dat.numc(j3,6)))) ...
    sqrt(mean(var(dat.numc(j4,6))))])

sro=sqrt(mean([var(dat.numc(j6,7)) var(dat.numc(j2,7)) var(dat.numc(j3,7)) var(dat.numc(j4,7))]));
% alt calculation: 
sro=median([sqrt(mean(var(dat.numc(j6,7)))) ...
    sqrt(mean(var(dat.numc(j2,7)))) ...
    sqrt(mean(var(dat.numc(j3,7)))) ...
    sqrt(mean(var(dat.numc(j4,7))))])

% spline, take mean of variance over both estimates
ssc=sqrt(mean(mean([var(dat.splc(j6,[1 3]))' var(dat.splc(j2,[1 3]))' var(dat.splc(j3,[1 3]))' var(dat.splc(j4,[1 3]))'])));
% alt calculation: 
ssc=median([sqrt(mean([var(dat.splc(j6,[1 3]))'])) ...
    sqrt(mean([var(dat.splc(j2,[1 3]))'])) ...
    sqrt(mean([var(dat.splc(j3,[1 3]))'])) ...
    sqrt(mean([var(dat.splc(j4,[1 3]))']))])

sso=sqrt(mean(mean([var(dat.splc(j6,[2 4]))' var(dat.splc(j2,[2 4]))' var(dat.splc(j3,[2 4]))' var(dat.splc(j4,[2 4]))'])));
% alt calculation:
sso=median([sqrt(mean([var(dat.splc(j6,[2 4]))'])) ...
    sqrt(mean([var(dat.splc(j2,[2 4]))'])) ...
    sqrt(mean([var(dat.splc(j3,[2 4]))'])) ...
    sqrt(mean([var(dat.splc(j4,[2 4]))']))])

% amplitude, take mean of variance over both estimates
sac=sqrt(mean(mean([var(dat.ampc(j6,[1 3]))' var(dat.ampc(j2,[1 3]))' var(dat.ampc(j3,[1 3]))' var(dat.ampc(j4,[1 3]))'])));
% alt calculation: 
sac=median([sqrt(mean([var(dat.ampc(j6,[1 3]))'])) ...
    sqrt(mean([var(dat.ampc(j2,[1 3]))'])) ...
    sqrt(mean([var(dat.ampc(j3,[1 3]))'])) ...
    sqrt(mean([var(dat.ampc(j4,[1 3]))']))])

sao=sqrt(mean(mean([var(dat.ampc(j6,[2 4]))' var(dat.ampc(j2,[2 4]))' var(dat.ampc(j3,[2 4]))' var(dat.ampc(j4,[2 4]))'])));
% alt calculation:
sao=median([sqrt(mean([var(dat.ampc(j6,[2 4]))'])) ...
    sqrt(mean([var(dat.ampc(j2,[2 4]))'])) ...
    sqrt(mean([var(dat.ampc(j3,[2 4]))'])) ...
    sqrt(mean([var(dat.ampc(j4,[2 4]))']))])

% tpc, take mean of variance over both estimates
stc=sqrt(mean(mean([var(dat.tpc(j6,[1 3]))' var(dat.tpc(j2,[1 3]))' var(dat.tpc(j3,[1 3]))' var(dat.tpc(j4,[1 3]))'])));
% for comparison to Table 1, validation estimates, this is the std over
% both two-point correction estimates

% alt calculation: 
stc=median([sqrt(mean([var(dat.tpc(j6,[1 3]))'])) ...
    sqrt(mean([var(dat.tpc(j2,[1 3]))'])) ...
    sqrt(mean([var(dat.tpc(j3,[1 3]))'])) ...
    sqrt(mean([var(dat.tpc(j4,[1 3]))']))])

sto=sqrt(mean(mean([var(dat.tpc(j6,[2 4]))' var(dat.tpc(j2,[2 4]))' var(dat.tpc(j3,[2 4]))' var(dat.tpc(j4,[2 4]))'])));
% alt calculation:
sto=median([sqrt(mean([var(dat.tpc(j6,[2 4]))'])) ...
    sqrt(mean([var(dat.tpc(j2,[2 4]))'])) ...
    sqrt(mean([var(dat.tpc(j3,[2 4]))'])) ...
    sqrt(mean([var(dat.tpc(j4,[2 4]))']))])


% make the table: carbon, oxygen:
t3v2_carb=[[src sro];
    [ssc sso];
    [sac sao];
    [stc sto];
    ];

% t3v_carb =
%
%    0.1325    0.1305
%    0.0776    0.0904
%    0.0771    0.0904
%    0.0795    0.0912
    
% put the results together: validation and cross-validation, into a single
% table:

t3_carb=[t3v2_carb t3vs_carb];

%t3_carb =
%
%    0.1325    0.1305    0.1315    0.1526
%    0.0776    0.0904    0.0842    0.1321
%    0.0771    0.0904    0.0840    0.1321
%    0.0795    0.0912    0.0856    0.1333
    
% add in the results from the cross-validation experiments (nd=15):
load valdat_carb_new2_work t3_col56

format bank
t3_carb_all=[t3_carb t3_col56]

% t3_carb_all =
%
%          0.13          0.12          0.19          0.15          0.22          0.16
%          0.05          0.09          0.11          0.13          0.11          0.18
%          0.05          0.09          0.11          0.13           NaN           NaN
%          0.05          0.09          0.11          0.13          0.10          0.17

% notes: 
% (1) when raw precision is poor, spline and two-point corrections help.
% (2) amplitude correction, rarely used in routine application, is most
% difficult to validate and may reduce real precision.

% make a figure plotting the known vs. validated values c13v c13k o18v o18k
d1=[dat.stddat_CO2(6,1) t1(1,1) dat.stddat_CO2(6,3) t1(1,4); %IAEA-CO-1
    dat.stddat_CO2(2,1) t1(3,1) dat.stddat_CO2(2,3) t1(3,4)  %LSVEC
    dat.stddat_CO2(3,1) t1(2,1) dat.stddat_CO2(3,3) t1(2,4)  %JTB1
    dat.stddat_CO2(5,1) t1(4,1) dat.stddat_CO2(5,3) t1(4,4)  %MCC
    ];

save mkdctabs_new2work_carbonates050216

% cellulose standards:

% first rerun the correction algorithm for the cellulose validaton data:
[dat]=fanalyze_modular2('07252014_KJS_100ug_cellulose_validation_experiment','CO',[1 10],[],'SAC','AKC',[2])
% close the figure windows that come up
close all;

% load 07252014_KJS_100ug_cellulose_validation_experiment_corr.mat
[dat]=mkval1('07252014_KJS_100ug_cellulose_validation_experiment_corr.mat')

% this is tricky because of the different organization of 
% dat.val_* = c13 o18 c13s o18s 
% and 
% dat.stddat_* = c13 c13s o18 o18s

akc=[dat.val_akc(1,1) dat.val_akc(1,3) dat.stddat_CO(2,1)-dat.val_akc(1,1) dat.val_akc(1,2) dat.val_akc(1,4) dat.stddat_CO(2,3)-dat.val_akc(1,2)];

aws=[dat.val_aws(1,1) dat.val_aws(1,3) dat.stddat_CO(3,1)-dat.val_aws(1,1) dat.val_aws(1,2) dat.val_aws(1,4) dat.stddat_CO(3,3)-dat.val_aws(1,2)];

h1=[dat.val_h1(1,1) dat.val_h1(1,3) dat.stddat_CO(5,1)-dat.val_h1(1,1) dat.val_h1(1,2) dat.val_h1(1,4) dat.stddat_CO(5,3)-dat.val_h1(1,2)];

l6=[dat.val_l6(1,1) dat.val_l6(1,3) dat.stddat_CO(6,1)-dat.val_l6(1,1) dat.val_l6(1,2) dat.val_l6(1,4) dat.stddat_CO(6,3)-dat.val_l6(1,2)];

switsur=[dat.val_switsur(1,1) dat.val_switsur(1,3) dat.stddat_CO(7,1)-dat.val_switsur(1,1) dat.val_switsur(1,2) dat.val_switsur(1,4) dat.stddat_CO(7,3)-dat.val_switsur(1,2)];

iaea_ch3=[dat.val_iaea_ch3(1,1) dat.val_iaea_ch3(1,3) dat.stddat_CO(8,1)-dat.val_iaea_ch3(1,1) dat.val_iaea_ch3(1,2) dat.val_iaea_ch3(1,4) dat.stddat_CO(8,3)-dat.val_iaea_ch3(1,2)];
 
t2=[akc;
    aws;
    h1;
    l6;
    switsur;
    iaea_ch3]

% are the calibration and validation means different from one another?
% z-tests and t tests of differences between calibration and validation datasets:
j2=find(dat.valdat(:,1)==2); % akc
% c13:
[h,p_akc(1),ci,tstats_akc_c13]=ttest2(dat.valdat(j2,2),dat.crf(dat.pos2,1))
% p=0.14, df=20, t=-1.42
% o18:
[h,p_akc(2),ci,tstats_akc_o18]=ttest2(dat.valdat(j2,3),dat.crf(dat.pos2,2))
% p=0.23, df=20, t=1.15

j3=find(dat.valdat(:,1)==3); % aws
% c13:
[h,p_aws(1),ci,zstats_aws_c13]=ztest(dat.valdat(j3,2),dat.stddat_CO(3,1),nanstd(dat.valdat(j3,2)))
% p<0.01, df=19, z=3.28
% o18:
[h,p_aws(2),ci,zstats_aws_o18]=ztest(dat.valdat(j3,3),dat.stddat_CO(3,3),nanstd(dat.valdat(j3,3)))
% p=0.09, df=19, z=1.71

j5=find(dat.valdat(:,1)==5); % h1
% c13:
[h,p_h1(1),ci,zstats_h1_c13]=ztest(dat.valdat(j5,2),dat.stddat_CO(5,1),nanstd(dat.valdat(j5,2)))
% p=0.04, df=19, z=-2.06
% o18:
[h,p_h1(2),ci,zstats_h1_o18]=ztest(dat.valdat(j5,3),dat.stddat_CO(5,3),nanstd(dat.valdat(j5,3)))
% p<0.01, df=19, z=2.77

j6=find(dat.valdat(:,1)==6); % l6
% c13:
[h,p_l6(1),ci,zstats_l6_c13]=ztest(dat.valdat(j6,2),dat.stddat_CO(6,1),nanstd(dat.valdat(j6,2)))
% p=0.45, df=19, z=0.75
% o18:
[h,p_l6(2),ci,zstats_l6_o18]=ztest(dat.valdat(j6,3),dat.stddat_CO(6,3),nanstd(dat.valdat(j6,3)))
% p<0.02, df=19, z=-2.36  % one big flier in the l6 data

j7=find(dat.valdat(:,1)==7); % switsur
% c13:
[h,p_switsur(1),ci,zstats_switsur_c13]=ztest(dat.valdat(j7,2),dat.stddat_CO(7,1),nanstd(dat.valdat(j7,2)))
% p<0.01, df=19, z=-6.39
% o18:
[h,p_switsur(2),ci,zstats_switsur_o18]=ztest(dat.valdat(j7,3),dat.stddat_CO(7,3),nanstd(dat.valdat(j7,3)))
% p=0.45, df=19, z=0.76

j8=find(dat.valdat(:,1)==8); % iaea_ch3
% c13:
[h,p_iaea_ch3(1),ci,zstats_iaea_ch3_c13]=ztest(dat.valdat(j8,2),dat.stddat_CO(8,1),nanstd(dat.valdat(j8,2)))
% p<0.01, df=19, z=-6.04
% o18:
[h,p_iaea_ch3(2),ci,zstats_iaea_ch3_o18]=ztest(dat.valdat(j8,3),dat.stddat_CO(8,3),nanstd(dat.valdat(j8,3)))
% p=0.27, df=19, z=1.10

% checked 7/27/16 (errors corrected in the ztest, ttest calls (c13 std
% wrongly used instead of o18 std)
% entries of t2 to be starred in row 1 (bias for akc):  neither
% entries of t2 to be starred in row 1 (bias for aws):  c13
% entries of t2 to be starred in row 3 (bias for h1):  both
% entries of t2 to be starred in row 4 (bias for l6):  o18
% entries of t2 to be starred in row 5 (bias for switsur):  c13
% entries of t2 to be starred in row 6 (bias for iaea_ch3):  c13


% sequential precisions table (as in getvaldat_carb.m):
% tables of results
 % carbon std1 by std2, std2 by std1
t3v_cell=[std(dat.numc(dat.pos2,6)) std(dat.numc(dat.pos1,6)); % raw
  std(dat.splc(dat.pos2,1)) std(dat.splc(dat.pos1,3)); % spline
  std(dat.ampc(dat.pos2,1)) std(dat.ampc(dat.pos1,3)); % ampl
  std(dat.tpc(dat.pos2,1)) std(dat.tpc(dat.pos1,3))]; % tpc

 % oxygen std1 by std2, std2 by std1
t4v_cell=[std(dat.numc(dat.pos2,7)) std(dat.numc(dat.pos1,7)); % raw
  std(dat.splc(dat.pos2,2)) std(dat.splc(dat.pos1,4)); % spline
  std(dat.ampc(dat.pos2,2)) std(dat.ampc(dat.pos1,4)); % ampl
  std(dat.tpc(dat.pos2,2)) std(dat.tpc(dat.pos1,4))]; % tpc

%t3v_cell =
%
%    0.4083    0.1728
%    0.2885    0.2621
%    0.3015    0.2621
%    0.2705    0.2355


%t4v_cell =
%
%    0.2536    0.6587
%    0.3159    0.6265
%    0.4772    0.6265
%    0.4272    0.5606

% averaged over the two cross-validated estimates:
t3v_cell_mean=sqrt(mean(t3v_cell.^2,2));
t4v_cell_mean=sqrt(mean(t4v_cell.^2,2));

t3vs_cell=[t3v_cell_mean t4v_cell_mean];

%t3vs_cell =
%
%    0.3135    0.4991
%    0.2756    0.4962
%    0.2825    0.5569
%    0.2536    0.4984
    
% also need results with validation data:
% j2, j3, j5, j6, j7, j8
% raw
src=sqrt(mean([var(dat.numc(j2,6)) var(dat.numc(j3,6)) var(dat.numc(j5,6)) var(dat.numc(j6,6)) var(dat.numc(j7,6)) var(dat.numc(j8,6)) ]));
% alt calculation: 
src=median([sqrt(mean(var(dat.numc(j2,6)))) ...
    sqrt(mean(var(dat.numc(j3,6)))) ...
    sqrt(mean(var(dat.numc(j5,6)))) ...
    sqrt(mean(var(dat.numc(j6,6)))) ...
    sqrt(mean(var(dat.numc(j7,6)))) ...
    sqrt(mean(var(dat.numc(j8,6))))])

sro=sqrt(mean([var(dat.numc(j2,7)) var(dat.numc(j3,7)) var(dat.numc(j5,7)) var(dat.numc(j6,7)) var(dat.numc(j7,7)) var(dat.numc(j8,7))]));
% alt calculation:
sro=median([sqrt(mean(var(dat.numc(j2,7)))) ...
    sqrt(mean(var(dat.numc(j3,7)))) ...
    sqrt(mean(var(dat.numc(j5,7)))) ...
    sqrt(mean(var(dat.numc(j6,7)))) ...
    sqrt(mean(var(dat.numc(j7,7)))) ...
    sqrt(mean(var(dat.numc(j8,7))))])

% spline, take mean of variance over both estimates
ssc=sqrt(mean(mean([var(dat.splc(j2,[1 3]))' var(dat.splc(j3,[1 3]))' var(dat.splc(j5,[1 3]))' var(dat.splc(j6,[1 3]))' var(dat.splc(j7,[1 3]))' var(dat.splc(j8,[1 3]))'])));
% alt calculation: 
ssc=median([sqrt(mean([var(dat.splc(j2,[1 3]))'])) ...
    sqrt(mean([var(dat.splc(j3,[1 3]))'])) ...
    sqrt(mean([var(dat.splc(j5,[1 3]))'])) ...
    sqrt(mean([var(dat.splc(j6,[1 3]))'])) ...
    sqrt(mean([var(dat.splc(j7,[1 3]))'])) ...
    sqrt(mean([var(dat.splc(j8,[1 3]))']))])

sso=sqrt(mean(mean([var(dat.splc(j2,[2 4]))' var(dat.splc(j3,[2 4]))' var(dat.splc(j5,[2 4]))' var(dat.splc(j6,[2 4]))' var(dat.splc(j7,[2 4]))' var(dat.splc(j8,[2 4]))'])));
% alt calculation: 
sso=median([sqrt(mean([var(dat.splc(j2,[2 4]))'])) ...
    sqrt(mean([var(dat.splc(j3,[2 4]))'])) ...
    sqrt(mean([var(dat.splc(j5,[2 4]))'])) ...
    sqrt(mean([var(dat.splc(j6,[2 4]))'])) ...
    sqrt(mean([var(dat.splc(j7,[2 4]))'])) ...
    sqrt(mean([var(dat.splc(j8,[2 4]))']))])

% amplitude, take mean of variance over both estimates
sac=sqrt(mean(mean([var(dat.ampc(j2,[1 3]))' var(dat.ampc(j3,[1 3]))' var(dat.ampc(j5,[1 3]))' var(dat.ampc(j6,[1 3]))' var(dat.ampc(j7,[1 3]))' var(dat.ampc(j8,[1 3]))'])));
% alt calculation: 
sac=median([sqrt(mean([var(dat.ampc(j2,[1 3]))'])) ...
    sqrt(mean([var(dat.ampc(j3,[1 3]))'])) ...
    sqrt(mean([var(dat.ampc(j5,[1 3]))'])) ...
    sqrt(mean([var(dat.ampc(j6,[1 3]))'])) ...
    sqrt(mean([var(dat.ampc(j7,[1 3]))'])) ...
    sqrt(mean([var(dat.ampc(j8,[1 3]))']))])

sao=sqrt(mean(mean([var(dat.ampc(j2,[2 4]))' var(dat.ampc(j3,[2 4]))' var(dat.ampc(j5,[2 4]))' var(dat.ampc(j6,[2 4]))' var(dat.ampc(j7,[2 4]))' var(dat.ampc(j8,[2 4]))'])));
% alt calculation: 
sao=median([sqrt(mean([var(dat.ampc(j2,[2 4]))'])) ...
    sqrt(mean([var(dat.ampc(j3,[2 4]))'])) ...
    sqrt(mean([var(dat.ampc(j5,[2 4]))'])) ...
    sqrt(mean([var(dat.ampc(j6,[2 4]))'])) ...
    sqrt(mean([var(dat.ampc(j7,[2 4]))'])) ...
    sqrt(mean([var(dat.ampc(j8,[2 4]))']))])
% tpc, take mean of variance over both estimates
stc=sqrt(mean(mean([var(dat.tpc(j2,[1 3]))' var(dat.tpc(j3,[1 3]))' var(dat.tpc(j5,[1 3]))' var(dat.tpc(j6,[1 3]))' var(dat.tpc(j7,[1 3]))' var(dat.tpc(j8,[1 3]))'])));
% alt calculation: 
stc=median([sqrt(mean([var(dat.tpc(j2,[1 3]))'])) ...
    sqrt(mean([var(dat.tpc(j3,[1 3]))'])) ...
    sqrt(mean([var(dat.tpc(j5,[1 3]))'])) ...
    sqrt(mean([var(dat.tpc(j6,[1 3]))'])) ...
    sqrt(mean([var(dat.tpc(j7,[1 3]))'])) ...
    sqrt(mean([var(dat.tpc(j8,[1 3]))']))])

sto=sqrt(mean(mean([var(dat.tpc(j2,[2 4]))' var(dat.tpc(j3,[2 4]))' var(dat.tpc(j5,[2 4]))' var(dat.tpc(j6,[2 4]))' var(dat.tpc(j7,[2 4]))' var(dat.tpc(j8,[2 4]))'])));
% alt calculation: 
sto=median([sqrt(mean([var(dat.tpc(j2,[2 4]))'])) ...
    sqrt(mean([var(dat.tpc(j3,[2 4]))'])) ...
    sqrt(mean([var(dat.tpc(j5,[2 4]))'])) ...
    sqrt(mean([var(dat.tpc(j6,[2 4]))'])) ...
    sqrt(mean([var(dat.tpc(j7,[2 4]))'])) ...
    sqrt(mean([var(dat.tpc(j8,[2 4]))']))])

% make the table: carbon, oxygen:
t3v2_cell=[[src sro];
    [ssc sso];
    [sac sao];
    [stc sto];
    ];

% t3v2_cell =
%
%    0.1798    0.4529
%    0.2178    0.4652
%    0.2184    0.4812
%    0.1962    0.4307
    
% put the results together: validation and cross-validation from validation
% experiments, into a single
% table:

t4_cell=[t3v2_cell t3vs_cell];

%t4_cell =
%
%    0.1798    0.4529    0.3135    0.4991
%    0.2178    0.4652    0.2756    0.4962
%    0.2184    0.4812    0.2825    0.5569
%    0.1962    0.4307    0.2536    0.4984

% add in the results from the cross-validation experiments (nd=15):
load valdat_cell_new2_work t4_col56

format bank
t4_cell_all=[t4_cell t4_col56]

%t4_cell_all =
%
%          0.17          0.35          0.31          0.50          0.23          1.03
%          0.15          0.33          0.28          0.50          0.19          0.50
%          0.15          0.39          0.28          0.56           NaN           NaN
%          0.14          0.35          0.25          0.50          0.12          0.35

% notes: 
% (1) when raw precision is poor, spline and two-point corrections help.
% (2) amplitude correction, rarely used in routine application, is most
% difficult to validate and may reduce real precision.
% 

% make a figure plotting the known vs. validated values c13k c13k o18v o18v
d2=[dat.stddat_CO(2,1) t2(1,1) dat.stddat_CO(2,3) t2(1,4); %AKC
    dat.stddat_CO(3,1) t2(2,1) dat.stddat_CO(3,3) t2(2,4)  %AWS
    dat.stddat_CO(5,1) t2(3,1) dat.stddat_CO(5,3) t2(3,4)  %H1
    dat.stddat_CO(6,1) t2(4,1) dat.stddat_CO(6,3) t2(4,4)  %L6
    dat.stddat_CO(7,1) t2(5,1) dat.stddat_CO(7,3) t2(5,4)  %Switsur
    dat.stddat_CO(8,1) t2(6,1) dat.stddat_CO(8,3) t2(6,4)  %IAEA-CH3
    ]

subplot(221);
plot(d1(1,1),d1(1,2),'ko',d1(2,1),d1(2,2),'kx',d1(3,1),d1(3,2),'kv',d1(4,1),d1(4,2),'k*',[-50:1:5],[-50:1:5],'k--')
axis([-50 5 -50 5]);grid on
title('validation vs. known \delta_{C}: carbonates')
h=legend('IAEA-CO-1','LSVEC','JTB1','EACARB','1:1 line','Location','SouthEast')
set(h,'Fontsize',8)

subplot(222);
plot(d1(1,3),d1(1,4),'ko',d1(2,3),d1(2,4),'kx',d1(3,3),d1(3,4),'kv',d1(4,3),d1(4,4),'k*',[-30:1:0],[-30:1:0],'k--','MarkerSize',8)
axis([-30 0 -30 0]);grid on
title('validation vs. known \delta_{O}: carbonates')
h=legend('IAEA-CO-1','LSVEC','JTB1','EACARB','1:1 line','Location','SouthEast')
set(h,'Fontsize',8)

subplot(223);
plot(d2(1,1),d2(1,2),'ko',d2(2,1),d2(2,2),'kx',d2(3,1),d2(3,2),'kv',d2(4,1),d2(4,2),'k*',d2(5,1),d2(5,2),'kd',d2(6,1),d2(6,2),'k+',[-35:1:-10],[-35:1:-10],'k--')
axis([-35 -10 -35 -10]);grid on
title('validation vs. known \delta_{C}: celluloses')
h=legend('AKC','AWS','H1','L6','Switsur','IAEA-CH3','1:1 line','Location','SouthEast')
set(h,'Fontsize',8)

subplot(224);
plot(d2(1,3),d2(1,4),'ko',d2(2,3),d2(2,4),'kx',d2(3,3),d2(3,4),'kv',d2(4,3),d2(4,4),'k*',d2(5,3),d2(5,4),'kd',d2(6,3),d2(6,4),'k+',[15:1:40],[15:1:40],'k--')
axis([15 40 15 40]);grid on
title('validation vs. known \delta_{O}: celluloses')
h=legend('AKC','AWS','H1','L6','Switsur','IAEA-CH3','1:1 line','Location','SouthEast')
set(h,'Fontsize',8)

print -deps2c f1_032316.eps

% calculate the median results from validation experiments for the abstract
% of the paper:

% carbonate precisions: 0.05    0.07
median_precision_t1=[median(t1(:,2)) median(t1(:,5))]
% carbonate bias: 0.09   0.04
median_bias_t1=[median((t1(:,3))) median((t1(:,6)))]
% carbonate range: 49.15   24.31 
range_t1=[range(t1(:,1)) range(t1(:,4))]

% cellulose precisions: 0.11   0.27
median_precision_t2=[median(t2(:,2)) median(t2(:,5))]
% cellulose bias: 0.11  0.12
median_bias_t2=[median((t2(:,3))) median((t2(:,6)))]
% cellulose range: 16.07  18.92
range_t2=[range(t2(:,1)) range(t2(:,4))]


     

save mkdctabs_new2work_celluloses050216
