function[dat]=output1(dat)
% dat=output1(dat)
% create the output files
% matlab .mat and .xls using matlab excel COM server
% requires an MS Office installation (e.g. on the laboratory computers)
% v 0.1 MNE 6/2/14

% get the working directory to which to write output
dat.path=pwd; 

% save as matlab workspace
dat.outfile=[dat.fn '_corr'];
save(dat.outfile)
disp(['matlab workspace saved to: ' num2str([dat.path '\' dat.fn '_corr.mat'])])

% save as xls output file

% create headers
dat.l1=mat2cell('position    ',1,12);
dat.l2=mat2cell('sample_ID   ',1,12);
dat.l3=mat2cell('date_time   ',1,12);
dat.l4=mat2cell('RT          ',1,12);
dat.l5=mat2cell('amplitude   ',1,12);
dat.l6=mat2cell('mass        ',1,12);
dat.l7=mat2cell('c13         ',1,12);
dat.l8=mat2cell('o18         ',1,12);
dat.l9=mat2cell('c13c        ',1,12);
dat.l10=mat2cell('o18c        ',1,12);

dat.l11=mat2cell('c13c_cstd   ',1,12);
dat.l12=mat2cell('o18c_cstd   ',1,12);

% write metadata and raw data
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.raw(:,1)],'Sheet1','A2'); % should write data to sheet 1 starting in cell C2...
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.txt(:,2:3)],'Sheet1','B2'); % should write text to sheet 1 starting in cell A2
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.raw(:,3:7)],'Sheet1','D2'); % should write data to sheet 1 starting in cell C2...

% corrected data with missing values
%dat.tpco=nan(dat.nr,4);
dat.tpco=nan(dat.nr,2);
%dat.tpco(dat.include,:)=dat.tpc;
dat.tpco(dat.include,:)=dat.crf;
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.tpco],'Sheet1','I2');

% qc data: calibrated precisions
%[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.tpcqc(:,1:2)],'Sheet1','M3:N4');
%[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.tpcqc(:,3:4)],'Sheet1','M6:N7');
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.crfqc(:,1:2)],'Sheet1','K3:L4');
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.crfqc(:,3:4)],'Sheet1','K6:L7');


% now write column labels
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.l1],'Sheet1','A1');
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.l2],'Sheet1','B1');
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.l3],'Sheet1','C1');
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.l4],'Sheet1','D1');
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.l5],'Sheet1','E1');
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.l6],'Sheet1','F1');
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.l7],'Sheet1','G1');
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.l8],'Sheet1','H1');
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.l9],'Sheet1','I1');
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.l10],'Sheet1','J1');
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.l11],'Sheet1','K1');
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],[dat.l12],'Sheet1','L1');
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],{dat.std1},'Sheet1','K2');
[s,m]=xlswrite([dat.path '\' dat.fn '_corr.xls'],{dat.std2},'Sheet1','K5');
disp(['excel file saved to: ' num2str([dat.path '\' dat.fn '_corr.xls'])])
return
