function [dat]=qc2(dat,std1,std2)
% function[dat]=qc1(dat,std1,std2)
% report the means and precisions of the working standards compared to the
% known values
% v1 5/27/14 MNE

% format: c1_mean o1_mean c2_mean o2_mean 
%          c1_std  o1_std  c2_std  o2_std

% raw numbers:
dat.rawqc=[nanmean(dat.numc(dat.pos1,6:7)) nanmean(dat.numc(dat.pos2,6:7))  ;
               nanstd(dat.numc(dat.pos1,6:7))  nanstd(dat.numc(dat.pos2,6:7))];

% amplitude-corrected:
dat.ampcqc=[nanmean(dat.ampc(dat.pos1,1:2)) nanmean(dat.ampc(dat.pos2,3:4))  ;
               nanstd(dat.ampc(dat.pos1,1:2))  nanstd(dat.ampc(dat.pos2,3:4))];


% spline-corrected:
dat.splcqc=[nanmean(dat.splc(dat.pos1,1:2)) nanmean(dat.splc(dat.pos2,3:4))  ;
               nanstd(dat.splc(dat.pos1,1:2))  nanstd(dat.splc(dat.pos2,3:4))];
           
% 2pt-corrected:
dat.tpcqc=[nanmean(dat.tpc(dat.pos1,:)) nanmean(dat.tpc(dat.pos2,:))  ;
               nanstd(dat.tpc(dat.pos1,:))  nanstd(dat.tpc(dat.pos2,:))];
           
dat.crfqc=[nanmean(dat.crf(dat.pos1,:)) nanmean(dat.crf(dat.pos2,:))  ;
               nanstd(dat.crf(dat.pos1,:))  nanstd(dat.crf(dat.pos2,:))];         
           
 disp('raw')
[dat.rawqc]
disp('amplitude-corrected')
[dat.ampcqc]
disp('spline-corrected')
[dat.splcqc]
disp('two point-corrected')
[dat.tpcqc]
disp('averaged 2pt-corrected')
[dat.crfqc]

return